Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceholderView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface PlaceholderView
extends MarkupBasedView

Method Summary
`int` | `getBookCount()`
`BookView[]` | `getBookViews()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`int` | `getLocation()`
`int` | `getPlaceableCount()`
`PlaceableView[]` | `getPlaceableViews()`
`PlaceholderDefinition` | `getPlaceholderDefinition()`
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()`
`int` | `getPortletCount()`
`PortletView` | `getPortletView(PortletInstanceId portletId)`
`PortletView[]` | `getPortletViews()`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

### getPortletViews

    public PortletView[] getPortletViews()

### getPortletCount

    public int getPortletCount()

### getPortletView

    public PortletView getPortletView(PortletInstanceId portletId)

### getBookViews

    public BookView[] getBookViews()

### getBookCount

    public int getBookCount()

### getPlaceableViews

    public PlaceableView[] getPlaceableViews()

### getPlaceableCount

    public int getPlaceableCount()

### getLocation

    public int getLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved